Subject: Re: dumps exceedingly slow

From: [email-masked] (Tim White)
Date: 25 Aug 93 00:01:46 GMT

[email-masked] (Jan Wortelboer) writes:

>[email-masked] (Terri Knight -- IAS) writes:

>>I am dumping a 4.1.2 system to a Sun 5 GB 8mm tape drive
>>connected to a SPARCstation LX running solaris 2.2. The problem
>>is that the dumps take an extremely long time to complete;
>>much longer than when I was using a 2 GB 8mm tape drive.

   Go check out Buffer....Version 1.16 was just recently released. Here is
  the README( note: the factor of 5 speed up claim )...and also add the
  blocksize as in Jan's post...

 > This is a program designed to speed up writing tapes on remote tape
 > drives.  Requirements are shared memory and locks which normally
 > means that these are supported in your kernel.
 > 
 > Buffer has been tested under SunOS 4.0.*, SunOS 4.1.*, Solarix, HP-UX 7.0,
 > and Gould UTX 2.1A (sv universe).
 > 
 > The program splits itself into two processes.  The first process reads
 > (and reblocks) from stdin into a shared memory buffer.  The second
 > writes from the shared memory buffer to stdout.  Doing it this way
 > means that the writing side effectly sits in a tight write loop and
 > doesn't have to wait for input.  Similarly for the input side.  It is
 > this waiting that slows down other reblocking processes, like dd.
 > 
 > I run an archive and need to write large chunks out to tape regularly
 > with an ethernet in the way.  Using 'buffer' in a command like:
 > 
 > 	tar cvf - stuff | rsh somebox "buffer > /dev/rst8"
 > 
 > is a factor of 5 faster than the best alternative, gnu tar with its
 > remote tape option:
 > 
 > 	tar cvf somebox:/dev/rst8 stuff
 > 
 > We have been using buffer here at Imperial for a couple of years now
 > for writing tar tapes and the main system dumps.
 > 
 > Thanks to Kevin Twidle <[email-masked]> for the -p and -B code.
 > 
 > INSTALLATION:
 > 	Check that your kernel supports shared memory and semaphores.
 > 	A quick way to check is to build buffer and run it.
 > 	If it says "couldn't create shared memory segment" you probably
 > 	need to reconfigure and rebuild your kernel.
 > 
 > 	To install edit the Makefile and tailor the variables to
 > 	your local systems.  Then type make.
 > 
 > DISCLAIMER:
 > 	This package is under the GNU GENERAL PUBLIC LICENSE!
 > 	In addtion under NO circumstances can I, or Imperial College,
 > 	be held liable for any event caused by the running or storing 
 > 	of this program or its documentation.
 > 	
 > Lee McLoughlin.                          Phone: +44 71 589 5111 X 5085
 > Dept of Computing, Imperial College,     Fax: +44 71 581 8024
 > 180 Queens Gate, London, SW7 2BZ, UK.    Email: [email-masked]
--
==============================================================================
Tim White				 University of South Carolina
[email-masked]	   Humanities and Social Sciences Laboratory
(803)-777-7840 		  		     Columbia, S.C. 29208